# $Header: /opt/voria/cvs/ETL/test/Makefile.am,v 1.1.1.1 2005/01/04 01:31:48 darco Exp $

MAINTAINERCLEANFILES=Makefile.in
CXXFLAGS=@CXXFLAGS@ -I$(top_srcdir) -I$(top_builddir)
DEFAULT_INCLUDES=-I$(top_srcdir) -I$(top_builddir)
TESTS=fixed clock handle angle random hermite stringf pen surface smart_ptr benchmark

check_PROGRAMS=fixed handle clock angle random hermite stringf pen surface smart_ptr benchmark smach

benchmark_SOURCES=benchmark.cpp
smart_ptr_SOURCES=smart_ptr.cpp
surface_SOURCES=surface.cpp
pen_SOURCES=pen.cpp
handle_SOURCES=handle.cpp
angle_SOURCES=angle.cpp
random_SOURCES=random.cpp
fixed_SOURCES=fixed.cpp
smach_SOURCES=smach.cpp
clock_SOURCES=clock.cpp
hermite_SOURCES=hermite.cpp
spline_SOURCES=spline.cpp
stringf_SOURCES=stringf.cpp
value_SOURCES=value.cpp
